(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     97572,       2116]
NotebookOptionsPosition[     96968,       2092]
NotebookOutlinePosition[     97425,       2110]
CellTagsIndexPosition[     97382,       2107]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Panel", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "=", 
       RowBox[{"x", "^", "2"}]}], ",", 
      RowBox[{"c", "=", 
       RowBox[{"-", "5"}]}], ",", 
      RowBox[{"d", "=", "5"}], ",", 
      RowBox[{"e", "=", 
       RowBox[{"-", "5"}]}], ",", 
      RowBox[{"f", "=", "25"}]}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"b", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<f(x) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "q", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<xmin = \>\"", ",", 
            RowBox[{"InputField", "[", 
             RowBox[{"Dynamic", "[", "c", "]"}], "]"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<xmax = \>\"", ",", 
            RowBox[{"InputField", "[", 
             RowBox[{"Dynamic", "[", "d", "]"}], "]"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<ymin = \>\"", ",", 
            RowBox[{"InputField", "[", 
             RowBox[{"Dynamic", "[", "e", "]"}], "]"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<ymax = \>\"", ",", 
            RowBox[{"InputField", "[", 
             RowBox[{"Dynamic", "[", "f", "]"}], "]"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<c \>\"", ",", 
            RowBox[{"Slider", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "t", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "0.001"}], "}"}]}], "]"}], ",", 
            RowBox[{"Dynamic", "[", "t", "]"}]}], "}"}], "]"}], ","}], "*)"}],
        "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
        RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Switch", "[", 
            RowBox[{"method", ",", "\"\<left sum\>\"", ",", 
             RowBox[{"tt", "=", "\"\<Left Hand Sum = \>\""}], ",", 
             "\"\<right sum\>\"", ",", 
             RowBox[{"tt", "=", "\"\<Right Hand Sum = \>\""}], ",", 
             "\"\<midpoint\>\"", ",", 
             RowBox[{"tt", "=", "\"\<Midpoint Sum = \>\""}], ",", 
             "\"\<trapezoid\>\"", ",", 
             RowBox[{"tt", " ", "=", " ", "\"\<Trapezoid Rule \>\""}], ",", 
             "\"\<Simpson\>\"", ",", 
             RowBox[{"tt", " ", "=", " ", "\"\<Simpson's Rule \>\""}]}], 
            "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"u", "=", 
            RowBox[{"Range", "[", 
             RowBox[{"0", ",", "b", ",", 
              RowBox[{"b", "/", "n"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"guk", "[", "k", "]"}], "=", 
              RowBox[{"N", "[", 
               RowBox[{"q", "/.", 
                RowBox[{"x", "\[Rule]", 
                 RowBox[{"u", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}]}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "1", ",", 
               RowBox[{"Length", "[", "u", "]"}]}], "}"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"gukh", "[", "k", "]"}], "=", 
              RowBox[{"N", "[", 
               RowBox[{"q", "/.", 
                RowBox[{"x", "\[Rule]", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "+", 
                    RowBox[{"u", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                  "2"}]}]}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "1", ",", 
               RowBox[{
                RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
            "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"Fix", " ", "from", " ", 
              RowBox[{"here", ":", " ", 
               RowBox[{"replace", " ", 
                RowBox[{"g", "[", "]"}], " ", "with", " ", "q"}]}]}], ",", 
             " ", 
             RowBox[{"etc", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "piecewise", " ", "defined", " ", "approximating", " ", 
             "functions"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"left", "=", 
            RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"guk", "[", "k", "]"}], ",", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "<=", "x", "<=", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"mid", "=", 
            RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"gukh", "[", "k", "]"}], ",", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "<=", "x", "<=", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"right", "=", 
            RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"guk", "[", 
                  RowBox[{"k", "+", "1"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "<=", "x", "<=", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"trap", "=", 
            RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Interpolation", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"guk", "[", "k", "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"guk", "[", 
                    RowBox[{"k", "+", "1"}], "]"}]}], "}"}]}], "}"}], ",", 
                    RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], 
                  "[", "x", "]"}], ",", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "<", "x", "<", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"simp", "=", 
            RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Interpolation", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"guk", "[", 
                    RowBox[{
                    RowBox[{"2", "*", "k"}], "+", "1"}], "]"}]}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "2"}], "]"}], "]"}], ",", 
                    RowBox[{"guk", "[", 
                    RowBox[{
                    RowBox[{"2", "*", "k"}], "+", "2"}], "]"}]}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "3"}], "]"}], "]"}], ",", 
                    RowBox[{"guk", "[", 
                    RowBox[{
                    RowBox[{"2", "*", "k"}], "+", "3"}], "]"}]}], "}"}]}], 
                    "}"}], ",", 
                    RowBox[{"InterpolationOrder", "\[Rule]", "2"}]}], "]"}], 
                  "[", "x", "]"}], ",", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], 
                  "\[LessEqual]", "x", "<=", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "3"}], "]"}], "]"}]}]}], "}"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "0", ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "u", "]"}], "/", "2"}], " ", "-", 
                  RowBox[{"3", "/", "2"}]}]}], "}"}]}], "]"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"approxgraph", "[", "x_", "]"}], ":=", 
            RowBox[{"Switch", "[", 
             RowBox[{
             "method", ",", "\"\<left sum\>\"", ",", "left", ",", 
              "\"\<right sum\>\"", ",", "right", ",", "\"\<midpoint\>\"", ",",
               "mid", ",", "\"\<trapezoid\>\"", ",", "trap", ",", 
              "\"\<Simpson\>\"", ",", "simp"}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"area", " ", "approximation", " ", "calculations"}], 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"leftarea", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Sum", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"guk", "[", "i", "]"}], "*", 
                RowBox[{"(", 
                 RowBox[{"b", "/", "n"}], ")"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"rightarea", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Sum", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"guk", "[", 
                 RowBox[{"i", "+", "1"}], "]"}], "*", 
                RowBox[{"(", 
                 RowBox[{"b", "/", "n"}], ")"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"midarea", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Sum", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"gukh", "[", "i", "]"}], "*", 
                RowBox[{"(", 
                 RowBox[{"b", "/", "n"}], ")"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"traparea", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Sum", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"guk", "[", "i", "]"}], "+", 
                   RowBox[{"guk", "[", 
                    RowBox[{"i", "+", "1"}], "]"}]}], ")"}], "/", "2"}], "*", 
                
                RowBox[{"(", 
                 RowBox[{"b", "/", "n"}], ")"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"simparea", "=", 
            RowBox[{"N", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"guk", "[", "1", "]"}], "+", 
                RowBox[{"guk", "[", 
                 RowBox[{"Length", "[", "u", "]"}], "]"}], "+", 
                RowBox[{"Sum", "[", 
                 RowBox[{
                  RowBox[{"4", "*", 
                   RowBox[{"guk", "[", "i", "]"}], "*", 
                   RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", "2"}], "]"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "2", ",", 
                    RowBox[{
                    RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
                 "]"}], "+", 
                RowBox[{"Sum", "[", 
                 RowBox[{
                  RowBox[{"2", "*", 
                   RowBox[{"guk", "[", "i", "]"}], "*", 
                   RowBox[{"Mod", "[", 
                    RowBox[{"i", ",", "2"}], "]"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "2", ",", 
                    RowBox[{
                    RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
                 "]"}]}], ")"}], "*", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"b", "/", "n"}], ")"}], "/", "3"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"approxarea", "=", 
            RowBox[{"Switch", "[", 
             RowBox[{
             "method", ",", "\"\<left sum\>\"", ",", "leftarea", ",", 
              "\"\<right sum\>\"", ",", "rightarea", ",", "\"\<midpoint\>\"", 
              ",", "midarea", ",", "\"\<trapezoid\>\"", ",", "traparea", ",", 
              "\"\<Simpson\>\"", ",", "simparea"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"exactarea", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Integrate", "[", 
              RowBox[{"q", ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "0", ",", "b"}], "}"}]}], "]"}], "]"}]}], 
           ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "points", " ", "on", " ", "curve", " ", "used", " ", "in", " ", 
             "each", " ", "method"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"endpt", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"u", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"guk", "[", "k", "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"Length", "[", "u", "]"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"endptline", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"guk", "[", "k", "]"}]}], "}"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"Length", "[", "u", "]"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"midpt", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"u", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "+", 
                   RowBox[{"u", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                 "2"}], ",", 
                RowBox[{"gukh", "[", "k", "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{
                 RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"simpline", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], ",", "0"}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], ",", 
                  RowBox[{"guk", "[", 
                   RowBox[{
                    RowBox[{"2", "*", "k"}], "+", "1"}], "]"}]}], "}"}]}], 
               "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "0", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "/", "2"}], " ", "-", 
                 RowBox[{"3", "/", "2"}]}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"dots", "=", 
            RowBox[{"ListPlot", "[", 
             RowBox[{"Switch", "[", 
              RowBox[{
              "method", ",", "\"\<left sum\>\"", ",", "endpt", ",", 
               "\"\<right sum\>\"", ",", "endpt", ",", "\"\<midpoint\>\"", 
               ",", "midpt", ",", "\"\<trapezoid\>\"", ",", "endpt", ",", 
               "\"\<Simpson\>\"", ",", "endpt"}], "]"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"segments", "=", 
            RowBox[{"ListLinePlot", "[", 
             RowBox[{
              RowBox[{"Switch", "[", 
               RowBox[{
               "method", ",", "\"\<left sum\>\"", ",", "endptline", ",", 
                "\"\<right sum\>\"", ",", "endptline", ",", 
                "\"\<midpoint\>\"", ",", " ", "endptline", ",", 
                "\"\<trapezoid\>\"", ",", "endptline", ",", "\"\<Simpson\>\"",
                 ",", "simpline"}], "]"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"magnified", " ", "graphics"}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"yscale", "=", 
            RowBox[{"Which", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"g", "[", "x", "]"}], "===", 
               RowBox[{"Sin", "[", "x", "]"}]}], ",", ".5", ",", 
              RowBox[{
               RowBox[{"g", "[", "x", "]"}], "===", 
               RowBox[{
                RowBox[{"2", "x"}], "+", "1"}]}], ",", "2.5", ",", 
              RowBox[{
               RowBox[{"g", "[", "x", "]"}], "===", 
               RowBox[{"x", "^", "2"}]}], ",", "2", ",", 
              RowBox[{
               RowBox[{"g", "[", "x", "]"}], "===", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", "2"}], "x"}], "]"}]}], ",", ".5", ",", 
              RowBox[{
               RowBox[{"g", "[", "x", "]"}], "===", 
               RowBox[{"5", 
                RowBox[{"x", "^", 
                 RowBox[{"(", 
                  RowBox[{"1", "/", "3"}], ")"}]}]}]}], ",", "3.2", ",", 
              RowBox[{
               RowBox[{"g", "[", "x", "]"}], "===", 
               RowBox[{"Sqrt", "[", 
                RowBox[{"4", "-", 
                 RowBox[{"x", "^", "2"}]}], "]"}]}], ",", ".5", ",", "True", 
              ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"zoom", "\[Equal]", "False"}], ",", 
              RowBox[{"a", "=", 
               RowBox[{"{", 
                RowBox[{"1", ",", "yscale"}], "}"}]}], ",", "Null"}], "]"}], 
            "*)"}], 
           RowBox[{"a", "=", 
            RowBox[{"{", 
             RowBox[{"1", ",", "yscale"}], "}"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"zoomgraph", "=", "\[IndentingNewLine]", 
            RowBox[{"Show", "[", 
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Plot", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"q", ",", 
                   RowBox[{"approxgraph", "[", "x", "]"}]}], "}"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{"x", ",", 
                   RowBox[{
                    RowBox[{"a", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", ".1"}], ",", 
                   RowBox[{
                    RowBox[{"a", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", ".1"}]}], "}"}], ",", 
                 RowBox[{"PlotRange", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"a", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{".1", "*", "yscale"}]}], ",", 
                    RowBox[{
                    RowBox[{"a", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "+", 
                    RowBox[{".1", "*", "yscale"}]}]}], "}"}]}], ",", 
                 RowBox[{"Frame", "\[Rule]", "True"}], ",", 
                 RowBox[{"FrameTicks", "\[Rule]", "None"}], ",", 
                 RowBox[{"FrameStyle", "\[Rule]", "Thick"}], ",", 
                 RowBox[{"Background", "\[Rule]", "White"}], ",", 
                 RowBox[{"Filling", "\[Rule]", "Bottom"}], ",", 
                 RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", 
                 RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}], ",", 
               "\[IndentingNewLine]", "dots", ",", "\[IndentingNewLine]", 
               "segments"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"graphics", " ", "to", " ", "Manipulate"}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"Grid", "[", 
            RowBox[{"(*", "0", "*)"}], "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{"text", " ", "-", " ", 
              RowBox[{"first", " ", "row"}]}], "*)"}], "\[IndentingNewLine]", 
            
            RowBox[{"{", 
             RowBox[{"(*", "1", "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"(*", "2", "*)"}], "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"Framed", "@", 
                RowBox[{"Text", "@", 
                 RowBox[{"Column", "[", 
                  RowBox[{"(*", "3", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"(*", "4", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<f(x) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "q", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<a = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "0", "]"}], ",", 
                    "\"\<   b = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "b", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<n = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "n", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"tt", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"approxarea", ",", "10"}], "]"}]}], "}"}], "]"}], 
                    ",", "Purple", ",", "16"}], "]"}]}], "}"}], 
                   "\[IndentingNewLine]", ",", 
                   RowBox[{"Alignment", "\[Rule]", "Center"}]}], 
                  "\[IndentingNewLine]", 
                  RowBox[{"(*", "3", "*)"}], "]"}]}]}], "\[IndentingNewLine]",
                "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"plots", " ", "-", " ", 
                RowBox[{"second", " ", "row"}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"Show", "[", 
                RowBox[{
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"q", ",", 
                    RowBox[{"approxgraph", "[", "x", "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "0", ",", "b"}], "}"}], ",", 
                    RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
                    RowBox[{"PlotPoints", "\[Rule]", "300"}], 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "Automatic"}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                   "dots", ",", "\[IndentingNewLine]", "segments"}], 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"550", ",", "300"}], "}"}]}]}], "]"}], 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"(*", "2", "*)"}], "}"}]}], "\[IndentingNewLine]", 
             RowBox[{"(*", "1", "*)"}], "}"}], "\[IndentingNewLine]", 
            RowBox[{"(*", "0", "*)"}], "]"}]}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"parameters", " ", "for", " ", "Manipulate"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"n", ",", "4", ",", "\"\<subintervals\>\""}], "}"}], ",",
             "2", ",", "100", ",", "2", ",", 
            RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], 
          ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"b", ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"Pi", "/", "2"}], ",", "2", ",", "3", ",", "Pi", ",", 
              "4"}], "}"}], ",", 
            RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"method", ",", "\"\<left sum\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
             "\"\<left sum\>\"", ",", "\"\<right sum\>\"", ",", 
              "\"\<midpoint\>\"", ",", "\"\<trapezoid\>\"", ",", 
              "\"\<Simpson\>\""}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"AutorunSequencing", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}],
    "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5548229248409853`*^9, 3.5548229466889133`*^9}, {
   3.554822985184717*^9, 3.554822990051464*^9}, {3.5548232361851683`*^9, 
   3.554823244343986*^9}, {3.55482330863838*^9, 3.5548233728128223`*^9}, {
   3.55482371858051*^9, 3.5548237381939077`*^9}, {3.5548237781320744`*^9, 
   3.5548237821148243`*^9}, 3.554823826721324*^9, 3.554823884960312*^9, {
   3.554823934487673*^9, 3.55482402880315*^9}, {3.554824065601808*^9, 
   3.5548240780637817`*^9}, {3.554824588728223*^9, 3.554824740461091*^9}, {
   3.554824901128907*^9, 3.554824901350931*^9}, {3.554824970830752*^9, 
   3.554824994704013*^9}, {3.55482504086754*^9, 3.5548250617734737`*^9}, {
   3.5548251139903107`*^9, 3.5548251178233557`*^9}, {3.5548251766566887`*^9, 
   3.554825187628934*^9}, {3.554825217924676*^9, 3.554825223235094*^9}, {
   3.554825261921914*^9, 3.554825282804688*^9}, {3.5548253607363873`*^9, 
   3.5548254167455177`*^9}, 3.554825572841331*^9, {3.5548259437586603`*^9, 
   3.554826069258127*^9}, 3.5548263383386803`*^9, {3.55482656679825*^9, 
   3.554826570588431*^9}, {3.554830885020033*^9, 3.554830997524693*^9}, 
   3.554831647568816*^9, {3.5548316953994904`*^9, 3.554831718298993*^9}, {
   3.555442983341394*^9, 3.555442988200677*^9}, {3.555443019847315*^9, 
   3.5554431003546953`*^9}, {3.555443133223069*^9, 3.555443169808136*^9}, {
   3.555443235494568*^9, 3.555443281709242*^9}, {3.555443331218523*^9, 
   3.555443331664195*^9}, {3.555854117460726*^9, 3.555854144210371*^9}, {
   3.5558545651288967`*^9, 3.555854570656056*^9}, {3.555854616817471*^9, 
   3.555854624823022*^9}, {3.555863076542652*^9, 3.555863131859889*^9}, {
   3.555863162958136*^9, 3.555863220026888*^9}, {3.555863288834029*^9, 
   3.55586344199885*^9}, {3.5558634731343203`*^9, 3.555863486549438*^9}, 
   3.5558944741076202`*^9, {3.555894507779171*^9, 3.55589451236117*^9}, {
   3.555894727412059*^9, 3.555894770352092*^9}, {3.555894826784403*^9, 
   3.555894916790268*^9}, {3.555895133713423*^9, 3.555895135054449*^9}, 
   3.555896073832879*^9, {3.5558961129662237`*^9, 3.555896173771688*^9}, {
   3.55589629615749*^9, 3.555896329563645*^9}, {3.555896377005917*^9, 
   3.5558964382113113`*^9}, 3.555928922422305*^9, 3.555928952864908*^9, {
   3.555928985455372*^9, 3.5559290742046537`*^9}, {3.555929160650202*^9, 
   3.5559291992819633`*^9}, {3.5559383980898447`*^9, 3.555938426496605*^9}, {
   3.555938638434586*^9, 3.5559386402785807`*^9}, {3.555938771417759*^9, 
   3.555938776353813*^9}, {3.555938806778221*^9, 3.555939089266123*^9}, {
   3.555939145597715*^9, 3.555939158907517*^9}, {3.5559392887261477`*^9, 
   3.555939334730699*^9}, {3.55594049014183*^9, 3.5559404946566563`*^9}, {
   3.555940546015019*^9, 3.55594056014144*^9}, {3.555940645305149*^9, 
   3.555940692978821*^9}, {3.5559407513423347`*^9, 3.5559407978108063`*^9}, 
   3.55595498987873*^9, {3.5559550328795357`*^9, 3.5559550606831217`*^9}, {
   3.555955130043425*^9, 3.555955130754794*^9}, {3.555955445633934*^9, 
   3.555955446553224*^9}, {3.5559554841776533`*^9, 3.55595553351919*^9}, {
   3.555972855692178*^9, 3.555972872864448*^9}, {3.555974078714859*^9, 
   3.5559741866894503`*^9}, 3.5559742290096273`*^9, {3.5559744273051567`*^9, 
   3.55597443698831*^9}, {3.555974472050551*^9, 3.555974831204073*^9}, {
   3.5559750511658077`*^9, 3.555975148210484*^9}, {3.555975410420656*^9, 
   3.55597541605132*^9}, 3.5560130573978643`*^9, {3.55923707551973*^9, 
   3.559237078177843*^9}, {3.562293016367939*^9, 3.562293016541198*^9}, {
   3.5890326819099417`*^9, 3.58903268243674*^9}, {3.589032934461162*^9, 
   3.589032946393725*^9}, {3.5890330485174093`*^9, 3.589033059625445*^9}}],

Cell[BoxData[
 PanelBox[
  DynamicModuleBox[{$CellContext`q$$ = $CellContext`x^2, $CellContext`c$$ = \
-5, $CellContext`d$$ = 5, $CellContext`e$$ = -5, $CellContext`f$$ = 25}, 
   TagBox[GridBox[{
      {
       TemplateBox[{"\"f(x) = \"",InputFieldBox[
          Dynamic[$CellContext`q$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       DynamicBox[ToBoxes[
         Manipulate[
         Switch[$CellContext`method, "left sum", $CellContext`tt = 
            "Left Hand Sum = ", "right sum", $CellContext`tt = 
            "Right Hand Sum = ", "midpoint", $CellContext`tt = 
            "Midpoint Sum = ", "trapezoid", $CellContext`tt = 
            "Trapezoid Rule ", "Simpson", $CellContext`tt = 
            "Simpson's Rule "]; $CellContext`u = 
           Range[0, $CellContext`b, $CellContext`b/$CellContext`n]; 
          Table[$CellContext`guk[$CellContext`k] = N[
              
              ReplaceAll[$CellContext`q$$, $CellContext`x -> 
               Part[$CellContext`u, $CellContext`k]]], {$CellContext`k, 1, 
             Length[$CellContext`u]}]; 
          Table[$CellContext`gukh[$CellContext`k] = N[
              
              ReplaceAll[$CellContext`q$$, $CellContext`x -> (
                 Part[$CellContext`u, $CellContext`k] + 
                 Part[$CellContext`u, $CellContext`k + 1])/
                2]], {$CellContext`k, 1, Length[$CellContext`u] - 
             1}]; $CellContext`left = Piecewise[
             Table[{
               $CellContext`guk[$CellContext`k], 
               Part[$CellContext`u, $CellContext`k] <= $CellContext`x <= 
               Part[$CellContext`u, $CellContext`k + 1]}, {$CellContext`k, 1, 
               Length[$CellContext`u] - 1}]]; $CellContext`mid = Piecewise[
             Table[{
               $CellContext`gukh[$CellContext`k], 
               Part[$CellContext`u, $CellContext`k] <= $CellContext`x <= 
               Part[$CellContext`u, $CellContext`k + 1]}, {$CellContext`k, 1, 
               Length[$CellContext`u] - 1}]]; $CellContext`right = Piecewise[
             Table[{
               $CellContext`guk[$CellContext`k + 1], 
               Part[$CellContext`u, $CellContext`k] <= $CellContext`x <= 
               Part[$CellContext`u, $CellContext`k + 1]}, {$CellContext`k, 1, 
               Length[$CellContext`u] - 1}]]; $CellContext`trap = Piecewise[
             Table[{
               Interpolation[{{
                  Part[$CellContext`u, $CellContext`k], 
                  $CellContext`guk[$CellContext`k]}, {
                  Part[$CellContext`u, $CellContext`k + 1], 
                  $CellContext`guk[$CellContext`k + 1]}}, InterpolationOrder -> 
                1][$CellContext`x], 
               Part[$CellContext`u, $CellContext`k] < $CellContext`x < 
               Part[$CellContext`u, $CellContext`k + 1]}, {$CellContext`k, 1, 
               Length[$CellContext`u] - 1}]]; $CellContext`simp = Piecewise[
             Table[{
               Interpolation[{{
                  Part[$CellContext`u, 2 $CellContext`k + 1], 
                  $CellContext`guk[2 $CellContext`k + 1]}, {
                  Part[$CellContext`u, 2 $CellContext`k + 2], 
                  $CellContext`guk[2 $CellContext`k + 2]}, {
                  Part[$CellContext`u, 2 $CellContext`k + 3], 
                  $CellContext`guk[2 $CellContext`k + 3]}}, 
                InterpolationOrder -> 2][$CellContext`x], 
               Part[$CellContext`u, 2 $CellContext`k + 1] <= $CellContext`x <= 
               Part[$CellContext`u, 2 $CellContext`k + 3]}, {$CellContext`k, 
               0, Length[$CellContext`u]/2 - 3/2}]]; $CellContext`approxgraph[
            
             Pattern[$CellContext`x, 
              Blank[]]] := 
           Switch[$CellContext`method, "left sum", $CellContext`left, 
             "right sum", $CellContext`right, "midpoint", $CellContext`mid, 
             "trapezoid", $CellContext`trap, 
             "Simpson", $CellContext`simp]; $CellContext`leftarea = N[
             
             Sum[$CellContext`guk[$CellContext`i] \
($CellContext`b/$CellContext`n), {$CellContext`i, 1, Length[$CellContext`u] - 
               1}]]; $CellContext`rightarea = N[
             Sum[$CellContext`guk[$CellContext`i + 
                1] ($CellContext`b/$CellContext`n), {$CellContext`i, 1, 
               Length[$CellContext`u] - 1}]]; $CellContext`midarea = N[
             
             Sum[$CellContext`gukh[$CellContext`i] \
($CellContext`b/$CellContext`n), {$CellContext`i, 1, Length[$CellContext`u] - 
               1}]]; $CellContext`traparea = N[
             
             Sum[(($CellContext`guk[$CellContext`i] + \
$CellContext`guk[$CellContext`i + 1])/
               2) ($CellContext`b/$CellContext`n), {$CellContext`i, 1, 
               Length[$CellContext`u] - 1}]]; $CellContext`simparea = 
           N[($CellContext`guk[1] + $CellContext`guk[
                Length[$CellContext`u]] + 
              Sum[4 $CellContext`guk[$CellContext`i] 
                Mod[$CellContext`i + 1, 2], {$CellContext`i, 2, 
                 Length[$CellContext`u] - 1}] + 
              Sum[2 $CellContext`guk[$CellContext`i] 
                Mod[$CellContext`i, 2], {$CellContext`i, 2, 
                 Length[$CellContext`u] - 
                 1}]) (($CellContext`b/$CellContext`n)/
              3)]; $CellContext`approxarea = 
           Switch[$CellContext`method, "left sum", $CellContext`leftarea, 
             "right sum", $CellContext`rightarea, 
             "midpoint", $CellContext`midarea, 
             "trapezoid", $CellContext`traparea, 
             "Simpson", $CellContext`simparea]; $CellContext`exactarea = N[
             
             Integrate[$CellContext`q$$, {$CellContext`x, 
               0, $CellContext`b}]]; $CellContext`endpt = Table[{
              Part[$CellContext`u, $CellContext`k], 
              $CellContext`guk[$CellContext`k]}, {$CellContext`k, 1, 
              Length[$CellContext`u]}]; $CellContext`endptline = Table[{{
               Part[$CellContext`u, $CellContext`k], 0}, {
               Part[$CellContext`u, $CellContext`k], 
               $CellContext`guk[$CellContext`k]}}, {$CellContext`k, 1, 
              Length[$CellContext`u]}]; $CellContext`midpt = 
           Table[{(Part[$CellContext`u, $CellContext`k] + 
               Part[$CellContext`u, $CellContext`k + 1])/2, 
              $CellContext`gukh[$CellContext`k]}, {$CellContext`k, 1, 
              Length[$CellContext`u] - 1}]; $CellContext`simpline = Table[{{
               Part[$CellContext`u, 2 $CellContext`k + 1], 0}, {
               Part[$CellContext`u, 2 $CellContext`k + 1], 
               $CellContext`guk[2 $CellContext`k + 1]}}, {$CellContext`k, 0, 
              Length[$CellContext`u]/2 - 3/2}]; $CellContext`dots = ListPlot[
             
             Switch[$CellContext`method, "left sum", $CellContext`endpt, 
              "right sum", $CellContext`endpt, "midpoint", $CellContext`midpt,
               "trapezoid", $CellContext`endpt, 
              "Simpson", $CellContext`endpt]]; $CellContext`segments = 
           ListLinePlot[
             
             Switch[$CellContext`method, "left sum", $CellContext`endptline, 
              "right sum", $CellContext`endptline, 
              "midpoint", $CellContext`endptline, 
              "trapezoid", $CellContext`endptline, 
              "Simpson", $CellContext`simpline], PlotRange -> 
             All]; $CellContext`yscale = 
           Which[$CellContext`g[$CellContext`x] === Sin[$CellContext`x], 
             0.5, $CellContext`g[$CellContext`x] === 2 $CellContext`x + 1, 
             2.5, $CellContext`g[$CellContext`x] === $CellContext`x^2, 
             2, $CellContext`g[$CellContext`x] === Exp[(-2) $CellContext`x], 
             0.5, $CellContext`g[$CellContext`x] === 5 $CellContext`x^(1/3), 
             3.2, $CellContext`g[$CellContext`x] === 
             Sqrt[4 - $CellContext`x^2], 0.5, True, 1]; $CellContext`a = {
            1, $CellContext`yscale}; $CellContext`zoomgraph = Show[{
              Plot[{$CellContext`q$$, 
                $CellContext`approxgraph[$CellContext`x]}, {$CellContext`x, 
                Part[$CellContext`a, 1] - 0.1, Part[$CellContext`a, 1] + 0.1},
                PlotRange -> {
                Part[$CellContext`a, 2] - 0.1 $CellContext`yscale, 
                 Part[$CellContext`a, 2] + 0.1 $CellContext`yscale}, Frame -> 
               True, FrameTicks -> None, FrameStyle -> Thick, Background -> 
               White, Filling -> Bottom, PlotPoints -> 100, Axes -> 
               False], $CellContext`dots, $CellContext`segments}]; Grid[{{
              Framed[
               Text[
                Column[{
                  Style[
                   Row[{"f(x) = ", 
                    TraditionalForm[$CellContext`q$$]}], Black, 16], 
                  Style[
                   Row[{"a = ", 
                    TraditionalForm[0], "   b = ", 
                    TraditionalForm[$CellContext`b]}], Black, 16], 
                  Style[
                   Row[{"n = ", 
                    TraditionalForm[$CellContext`n]}], Black, 16], 
                  Style[
                   Row[{$CellContext`tt, 
                    NumberForm[$CellContext`approxarea, 10]}], Purple, 16]}, 
                 Alignment -> Center]]]}, {
              Show[{
                Plot[{$CellContext`q$$, 
                  $CellContext`approxgraph[$CellContext`x]}, {$CellContext`x, 
                  0, $CellContext`b}, Filling -> Axis, PlotPoints -> 300, 
                 PlotRange -> {
                  0, Automatic}], $CellContext`dots, $CellContext`segments}, 
               ImageSize -> {550, 300}]}}], {{$CellContext`n, 4, 
            "subintervals"}, 2, 100, 2, Appearance -> 
           "Labeled"}, {$CellContext`b, {1, Pi/2, 2, 3, Pi, 4}, ControlType -> 
           Setter}, {{$CellContext`method, "left sum"}, {
           "left sum", "right sum", "midpoint", "trapezoid", "Simpson"}}, 
          AutorunSequencing -> {2, 3, 4}, TrackedSymbols -> True, Alignment -> 
          Center], StandardForm],
        ImageSizeCache->{739., {326., 332.}}]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
    "Column"],
   DynamicModuleValues:>{}]]], "Output",
 CellChangeTimes->{{3.555955422691992*^9, 3.555955448327587*^9}, 
   3.5559751611282663`*^9, 3.5559754214065237`*^9, 3.555977050628533*^9, 
   3.556013064757704*^9, 3.5592370885769577`*^9, {3.562293043813665*^9, 
   3.562293069395794*^9}, 3.567425014250997*^9, 3.58903297742593*^9, 
   3.5890330634748363`*^9, 3.589033154332196*^9, 3.589033399682122*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"THIS", " ", "NOTEBOOK", " ", "IS"}], "\n", 
   "\"\<Bard - Mathematica - Numerical Integration Demo\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{
   "THIS", " ", "NOTEBOOK", " ", "IS", " ", "A", " ", "MODIFIED", " ", 
    "VERSION", " ", "OF"}], "\n", 
   "\"\<Comparing Basic Numerical Integration Methods\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{"from", " ", 
    ButtonBox[
     RowBox[{"the", " ", "Wolfram", " ", "Demonstrations", " ", "Project"}],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["http://demonstrations.wolfram.com/"], None},
     ButtonNote->"http://demonstrations.wolfram.com/"]}], 
   "\[IndentingNewLine]", "\[NonBreakingSpace]", 
   ButtonBox[
    RowBox[{
     RowBox[{"http", ":"}], "//", 
     RowBox[{
      RowBox[{
       RowBox[{"demonstrations", ".", "wolfram", ".", "com"}], "/", 
       "ComparingBasicNumericalIntegrationMethods"}], "/"}]}],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL[
      "http://demonstrations.wolfram.com/\
ComparingBasicNumericalIntegrationMethods/"], None},
    ButtonNote->
     "http://demonstrations.wolfram.com/\
ComparingBasicNumericalIntegrationMethods/"], "\n", 
   RowBox[{"Contributed", " ", 
    RowBox[{"by", ":", " ", 
     ButtonBox[
      RowBox[{"Jim", " ", "Brandt"}],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL[
        "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"], 
        None},
      ButtonNote->
       "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"]}]}],
    " ", "\[IndentingNewLine]", 
   RowBox[{"Modified", " ", 
    RowBox[{"by", ":", " ", 
     ButtonBox[
      RowBox[{"Ethan", " ", "Bloch"}],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL[
        "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"], 
        None},
      ButtonNote->
       "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"]}]}]}\
]}]], "Input",
 CellChangeTimes->{{3.554643887154148*^9, 3.554643894120864*^9}, {
   3.554643928521969*^9, 3.5546439339859943`*^9}, {3.5546439870866327`*^9, 
   3.554644011899135*^9}, 3.554644188266039*^9, {3.559237131519807*^9, 
   3.5592371328296556`*^9}, 3.5674231367656116`*^9, {3.5890332648203983`*^9, 
   3.589033268058385*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Panel", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "=", 
       RowBox[{"x", "^", "2"}]}], ",", 
      RowBox[{"c", "=", 
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}]}], ",", 
      RowBox[{"d", "=", 
       RowBox[{"3", "/", "2"}]}], ",", 
      RowBox[{"e", "=", 
       RowBox[{"-", "1"}]}], ",", 
      RowBox[{"f", "=", 
       RowBox[{"9", "/", "4"}]}]}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"b", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<f(x) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "q", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(min\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "c", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(max\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "d", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(min\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "e", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(max\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "f", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<c \>\"", ",", 
            RowBox[{"Slider", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "t", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "0.001"}], "}"}]}], "]"}], ",", 
            RowBox[{"Dynamic", "[", "t", "]"}]}], "}"}], "]"}], ","}], "*)"}],
        "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
        RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Switch", "[", 
            RowBox[{"method", ",", "\"\<left sum\>\"", ",", 
             RowBox[{"tt", "=", "\"\<Left Hand Sum = \>\""}], ",", 
             "\"\<right sum\>\"", ",", 
             RowBox[{"tt", "=", "\"\<Right Hand Sum = \>\""}], ",", 
             "\"\<midpoint\>\"", ",", 
             RowBox[{"tt", "=", "\"\<Midpoint Sum = \>\""}], ",", 
             "\"\<trapezoid\>\"", ",", 
             RowBox[{"tt", " ", "=", " ", "\"\< \>\""}], ",", 
             "\"\<Simpson\>\"", ",", 
             RowBox[{"tt", " ", "=", " ", "\"\< \>\""}]}], "]"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"qq", "=", 
            RowBox[{"Piecewise", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"q", ",", 
                 RowBox[{"0", "<", "x", "<", "b"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"x", "<", "0"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"x", ">", "b"}]}], "}"}]}], "}"}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"u", "=", 
            RowBox[{"Range", "[", 
             RowBox[{"0", ",", "b", ",", 
              RowBox[{"b", "/", "n"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"guk", "[", "k", "]"}], "=", 
              RowBox[{"N", "[", 
               RowBox[{"q", "/.", 
                RowBox[{"x", "\[Rule]", 
                 RowBox[{"u", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}]}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "1", ",", 
               RowBox[{"Length", "[", "u", "]"}]}], "}"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"gukh", "[", "k", "]"}], "=", 
              RowBox[{"N", "[", 
               RowBox[{"q", "/.", 
                RowBox[{"x", "\[Rule]", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "+", 
                    RowBox[{"u", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                  "2"}]}]}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "1", ",", 
               RowBox[{
                RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
            "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "piecewise", " ", "defined", " ", "approximating", " ", 
             "functions"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"left", "=", 
            RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"guk", "[", "k", "]"}], ",", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "<=", "x", "<=", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"mid", "=", 
            RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"gukh", "[", "k", "]"}], ",", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "<=", "x", "<=", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"right", "=", 
            RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"guk", "[", 
                  RowBox[{"k", "+", "1"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "<=", "x", "<=", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"trap", "=", 
            RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Interpolation", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], ",", 
                    RowBox[{"guk", "[", "k", "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"guk", "[", 
                    RowBox[{"k", "+", "1"}], "]"}]}], "}"}]}], "}"}], ",", 
                    RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], 
                  "[", "x", "]"}], ",", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "<", "x", "<", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"simp", "=", 
            RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Interpolation", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"guk", "[", 
                    RowBox[{
                    RowBox[{"2", "*", "k"}], "+", "1"}], "]"}]}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "2"}], "]"}], "]"}], ",", 
                    RowBox[{"guk", "[", 
                    RowBox[{
                    RowBox[{"2", "*", "k"}], "+", "2"}], "]"}]}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "3"}], "]"}], "]"}], ",", 
                    RowBox[{"guk", "[", 
                    RowBox[{
                    RowBox[{"2", "*", "k"}], "+", "3"}], "]"}]}], "}"}]}], 
                    "}"}], ",", 
                    RowBox[{"InterpolationOrder", "\[Rule]", "2"}]}], "]"}], 
                  "[", "x", "]"}], ",", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], 
                  "\[LessEqual]", "x", "<=", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "3"}], "]"}], "]"}]}]}], "}"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "0", ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "u", "]"}], "/", "2"}], " ", "-", 
                  RowBox[{"3", "/", "2"}]}]}], "}"}]}], "]"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"approxgraph", "[", "x_", "]"}], ":=", 
            RowBox[{"Switch", "[", 
             RowBox[{
             "method", ",", "\"\<left sum\>\"", ",", "left", ",", 
              "\"\<right sum\>\"", ",", "right", ",", "\"\<midpoint\>\"", ",",
               "mid", ",", "\"\<trapezoid\>\"", ",", "trap", ",", 
              "\"\<Simpson\>\"", ",", "simp"}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"area", " ", "approximation", " ", "calculations"}], 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"leftarea", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Sum", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"guk", "[", "i", "]"}], "*", 
                RowBox[{"(", 
                 RowBox[{"b", "/", "n"}], ")"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"rightarea", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Sum", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"guk", "[", 
                 RowBox[{"i", "+", "1"}], "]"}], "*", 
                RowBox[{"(", 
                 RowBox[{"b", "/", "n"}], ")"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"midarea", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Sum", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"gukh", "[", "i", "]"}], "*", 
                RowBox[{"(", 
                 RowBox[{"b", "/", "n"}], ")"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"traparea", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Sum", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"guk", "[", "i", "]"}], "+", 
                   RowBox[{"guk", "[", 
                    RowBox[{"i", "+", "1"}], "]"}]}], ")"}], "/", "2"}], "*", 
                
                RowBox[{"(", 
                 RowBox[{"b", "/", "n"}], ")"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"simparea", "=", 
            RowBox[{"N", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"guk", "[", "1", "]"}], "+", 
                RowBox[{"guk", "[", 
                 RowBox[{"Length", "[", "u", "]"}], "]"}], "+", 
                RowBox[{"Sum", "[", 
                 RowBox[{
                  RowBox[{"4", "*", 
                   RowBox[{"guk", "[", "i", "]"}], "*", 
                   RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", "2"}], "]"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "2", ",", 
                    RowBox[{
                    RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
                 "]"}], "+", 
                RowBox[{"Sum", "[", 
                 RowBox[{
                  RowBox[{"2", "*", 
                   RowBox[{"guk", "[", "i", "]"}], "*", 
                   RowBox[{"Mod", "[", 
                    RowBox[{"i", ",", "2"}], "]"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "2", ",", 
                    RowBox[{
                    RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
                 "]"}]}], ")"}], "*", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"b", "/", "n"}], ")"}], "/", "3"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"approxarea", "=", 
            RowBox[{"Switch", "[", 
             RowBox[{
             "method", ",", "\"\<left sum\>\"", ",", "leftarea", ",", 
              "\"\<right sum\>\"", ",", "rightarea", ",", "\"\<midpoint\>\"", 
              ",", "midarea", ",", "\"\<trapezoid\>\"", ",", "traparea", ",", 
              "\"\<Simpson\>\"", ",", "simparea"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"exactarea", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Integrate", "[", 
              RowBox[{"q", ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "0", ",", "b"}], "}"}]}], "]"}], "]"}]}], 
           ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "points", " ", "on", " ", "curve", " ", "used", " ", "in", " ", 
             "each", " ", "method"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"endpt", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"u", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", 
                RowBox[{"guk", "[", "k", "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"Length", "[", "u", "]"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"endptline", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], ",", 
                  RowBox[{"guk", "[", "k", "]"}]}], "}"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"Length", "[", "u", "]"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"midpt", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"u", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "+", 
                   RowBox[{"u", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                 "2"}], ",", 
                RowBox[{"gukh", "[", "k", "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{
                 RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"simpline", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], ",", "0"}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], ",", 
                  RowBox[{"guk", "[", 
                   RowBox[{
                    RowBox[{"2", "*", "k"}], "+", "1"}], "]"}]}], "}"}]}], 
               "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "0", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "/", "2"}], " ", "-", 
                 RowBox[{"3", "/", "2"}]}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"dots", "=", 
            RowBox[{"ListPlot", "[", 
             RowBox[{"Switch", "[", 
              RowBox[{
              "method", ",", "\"\<left sum\>\"", ",", "endpt", ",", 
               "\"\<right sum\>\"", ",", "endpt", ",", "\"\<midpoint\>\"", 
               ",", "midpt", ",", "\"\<trapezoid\>\"", ",", "endpt", ",", 
               "\"\<Simpson\>\"", ",", "endpt"}], "]"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"segments", "=", 
            RowBox[{"ListLinePlot", "[", 
             RowBox[{
              RowBox[{"Switch", "[", 
               RowBox[{
               "method", ",", "\"\<left sum\>\"", ",", "endptline", ",", 
                "\"\<right sum\>\"", ",", "endptline", ",", 
                "\"\<midpoint\>\"", ",", " ", "endptline", ",", 
                "\"\<trapezoid\>\"", ",", "endptline", ",", "\"\<Simpson\>\"",
                 ",", "simpline"}], "]"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"magnified", " ", "graphics"}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"yscale", "=", 
            RowBox[{"Which", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"g", "[", "x", "]"}], "===", 
               RowBox[{"Sin", "[", "x", "]"}]}], ",", ".5", ",", 
              RowBox[{
               RowBox[{"g", "[", "x", "]"}], "===", 
               RowBox[{
                RowBox[{"2", "x"}], "+", "1"}]}], ",", "2.5", ",", 
              RowBox[{
               RowBox[{"g", "[", "x", "]"}], "===", 
               RowBox[{"x", "^", "2"}]}], ",", "2", ",", 
              RowBox[{
               RowBox[{"g", "[", "x", "]"}], "===", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", "2"}], "x"}], "]"}]}], ",", ".5", ",", 
              RowBox[{
               RowBox[{"g", "[", "x", "]"}], "===", 
               RowBox[{"5", 
                RowBox[{"x", "^", 
                 RowBox[{"(", 
                  RowBox[{"1", "/", "3"}], ")"}]}]}]}], ",", "3.2", ",", 
              RowBox[{
               RowBox[{"g", "[", "x", "]"}], "===", 
               RowBox[{"Sqrt", "[", 
                RowBox[{"4", "-", 
                 RowBox[{"x", "^", "2"}]}], "]"}]}], ",", ".5", ",", "True", 
              ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"zoom", "\[Equal]", "False"}], ",", 
              RowBox[{"a", "=", 
               RowBox[{"{", 
                RowBox[{"1", ",", "yscale"}], "}"}]}], ",", "Null"}], "]"}], 
            "*)"}], 
           RowBox[{"a", "=", 
            RowBox[{"{", 
             RowBox[{"1", ",", "yscale"}], "}"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"zoomgraph", "=", "\[IndentingNewLine]", 
            RowBox[{"Show", "[", 
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Plot", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"q", ",", 
                   RowBox[{"approxgraph", "[", "x", "]"}]}], "}"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{"x", ",", 
                   RowBox[{
                    RowBox[{"a", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", ".1"}], ",", 
                   RowBox[{
                    RowBox[{"a", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", ".1"}]}], "}"}], ",", 
                 RowBox[{"PlotRange", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"a", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{".1", "*", "yscale"}]}], ",", 
                    RowBox[{
                    RowBox[{"a", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "+", 
                    RowBox[{".1", "*", "yscale"}]}]}], "}"}]}], ",", 
                 RowBox[{"Frame", "\[Rule]", "True"}], ",", 
                 RowBox[{"FrameTicks", "\[Rule]", "None"}], ",", 
                 RowBox[{"FrameStyle", "\[Rule]", "Thick"}], ",", 
                 RowBox[{"Background", "\[Rule]", "White"}], ",", 
                 RowBox[{"Filling", "\[Rule]", "Bottom"}], ",", 
                 RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", 
                 RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}], ",", 
               "\[IndentingNewLine]", "dots", ",", "\[IndentingNewLine]", 
               "segments"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"graphics", " ", "to", " ", "Manipulate"}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"Grid", "[", 
            RowBox[{"(*", "0", "*)"}], "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{"text", " ", "-", " ", 
              RowBox[{"first", " ", "row"}]}], "*)"}], "\[IndentingNewLine]", 
            
            RowBox[{"{", 
             RowBox[{"(*", "1", "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"(*", "2", "*)"}], "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"Framed", "@", 
                RowBox[{"Text", "@", 
                 RowBox[{"Column", "[", 
                  RowBox[{"(*", "3", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"(*", "4", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<f(x) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "q", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<a = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "0", "]"}], ",", 
                    "\"\<   b = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "b", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<n = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "n", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"tt", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"approxarea", ",", "10"}], "]"}]}], "}"}], "]"}], 
                    ",", "Purple", ",", "16"}], "]"}]}], "}"}], 
                   "\[IndentingNewLine]", ",", 
                   RowBox[{"Alignment", "\[Rule]", "Center"}]}], 
                  "\[IndentingNewLine]", 
                  RowBox[{"(*", "3", "*)"}], "]"}]}]}], "\[IndentingNewLine]",
                "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"plots", " ", "-", " ", 
                RowBox[{"second", " ", "row"}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"Show", "[", 
                RowBox[{
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"q", ",", "qq", ",", 
                    RowBox[{"approxgraph", "[", "x", "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "c", ",", "d"}], "}"}], ",", 
                    RowBox[{"Filling", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"2", "\[Rule]", "Axis"}], ",", 
                    RowBox[{"3", "\[Rule]", "Axis"}]}], "}"}]}], ",", 
                    RowBox[{"PlotPoints", "\[Rule]", "300"}], 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"e", ",", "f"}], "}"}]}]}], "\[IndentingNewLine]",
                     "]"}], ",", "\[IndentingNewLine]", "dots", ",", 
                   "\[IndentingNewLine]", "segments"}], "\[IndentingNewLine]",
                   "\[IndentingNewLine]", "}"}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"550", ",", "300"}], "}"}]}]}], "]"}], 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"(*", "2", "*)"}], "}"}]}], "\[IndentingNewLine]", 
             RowBox[{"(*", "1", "*)"}], "}"}], "\[IndentingNewLine]", 
            RowBox[{"(*", "0", "*)"}], "]"}]}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"parameters", " ", "for", " ", "Manipulate"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"n", ",", "4", ",", "\"\<subintervals\>\""}], "}"}], ",",
             "2", ",", "40", ",", "2", ",", 
            RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], 
          ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"b", ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"Pi", "/", "2"}], ",", "2", ",", "3", ",", "Pi", ",", 
              "4"}], "}"}], ",", 
            RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"method", ",", "\"\<left sum\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
             "\"\<left sum\>\"", ",", "\"\<right sum\>\"", ",", 
              "\"\<midpoint\>\"", ",", "\"\<trapezoid\>\"", ",", 
              "\"\<Simpson\>\""}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"AutorunSequencing", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}],
    "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5548229248409853`*^9, 3.5548229466889133`*^9}, {
   3.554822985184717*^9, 3.554822990051464*^9}, {3.5548232361851683`*^9, 
   3.554823244343986*^9}, {3.55482330863838*^9, 3.5548233728128223`*^9}, {
   3.55482371858051*^9, 3.5548237381939077`*^9}, {3.5548237781320744`*^9, 
   3.5548237821148243`*^9}, 3.554823826721324*^9, 3.554823884960312*^9, {
   3.554823934487673*^9, 3.55482402880315*^9}, {3.554824065601808*^9, 
   3.5548240780637817`*^9}, {3.554824588728223*^9, 3.554824740461091*^9}, {
   3.554824901128907*^9, 3.554824901350931*^9}, {3.554824970830752*^9, 
   3.554824994704013*^9}, {3.55482504086754*^9, 3.5548250617734737`*^9}, {
   3.5548251139903107`*^9, 3.5548251178233557`*^9}, {3.5548251766566887`*^9, 
   3.554825187628934*^9}, {3.554825217924676*^9, 3.554825223235094*^9}, {
   3.554825261921914*^9, 3.554825282804688*^9}, {3.5548253607363873`*^9, 
   3.5548254167455177`*^9}, 3.554825572841331*^9, {3.5548259437586603`*^9, 
   3.554826069258127*^9}, 3.5548263383386803`*^9, {3.55482656679825*^9, 
   3.554826570588431*^9}, {3.554830885020033*^9, 3.554830997524693*^9}, 
   3.554831647568816*^9, {3.5548316953994904`*^9, 3.554831718298993*^9}, {
   3.555442983341394*^9, 3.555442988200677*^9}, {3.555443019847315*^9, 
   3.5554431003546953`*^9}, {3.555443133223069*^9, 3.555443169808136*^9}, {
   3.555443235494568*^9, 3.555443281709242*^9}, {3.555443331218523*^9, 
   3.555443331664195*^9}, {3.555854117460726*^9, 3.555854144210371*^9}, {
   3.5558545651288967`*^9, 3.555854570656056*^9}, {3.555854616817471*^9, 
   3.555854624823022*^9}, {3.555863076542652*^9, 3.555863131859889*^9}, {
   3.555863162958136*^9, 3.555863220026888*^9}, {3.555863288834029*^9, 
   3.55586344199885*^9}, {3.5558634731343203`*^9, 3.555863486549438*^9}, 
   3.5558944741076202`*^9, {3.555894507779171*^9, 3.55589451236117*^9}, {
   3.555894727412059*^9, 3.555894770352092*^9}, {3.555894826784403*^9, 
   3.555894916790268*^9}, {3.555895133713423*^9, 3.555895135054449*^9}, 
   3.555896073832879*^9, {3.5558961129662237`*^9, 3.555896173771688*^9}, {
   3.55589629615749*^9, 3.555896329563645*^9}, {3.555896377005917*^9, 
   3.5558964382113113`*^9}, 3.555928922422305*^9, 3.555928952864908*^9, {
   3.555928985455372*^9, 3.5559290742046537`*^9}, {3.555929160650202*^9, 
   3.5559291992819633`*^9}, {3.5559383980898447`*^9, 3.555938426496605*^9}, {
   3.555938638434586*^9, 3.5559386402785807`*^9}, {3.555938771417759*^9, 
   3.555938776353813*^9}, {3.555938806778221*^9, 3.555939089266123*^9}, {
   3.555939145597715*^9, 3.555939158907517*^9}, {3.5559392887261477`*^9, 
   3.555939334730699*^9}, {3.55594049014183*^9, 3.5559404946566563`*^9}, {
   3.555940546015019*^9, 3.55594056014144*^9}, {3.555940645305149*^9, 
   3.555940692978821*^9}, {3.5559407513423347`*^9, 3.5559407978108063`*^9}, 
   3.55595498987873*^9, {3.5559550328795357`*^9, 3.5559550606831217`*^9}, {
   3.555955130043425*^9, 3.555955130754794*^9}, {3.555955445633934*^9, 
   3.555955446553224*^9}, {3.5559554841776533`*^9, 3.55595553351919*^9}, {
   3.555972855692178*^9, 3.555972872864448*^9}, {3.555974078714859*^9, 
   3.5559741866894503`*^9}, 3.5559742290096273`*^9, {3.5559744273051567`*^9, 
   3.55597443698831*^9}, {3.555974472050551*^9, 3.555974831204073*^9}, {
   3.5559750511658077`*^9, 3.555975148210484*^9}, {3.555975410420656*^9, 
   3.55597541605132*^9}, 3.555975511869351*^9, {3.555975991101264*^9, 
   3.555975993438538*^9}, {3.5559761677025337`*^9, 3.555976243150054*^9}, {
   3.555976591264967*^9, 3.555976727127695*^9}, {3.555976763072371*^9, 
   3.5559768031356077`*^9}, {3.555977040624371*^9, 3.5559770816687107`*^9}, {
   3.555977130256312*^9, 3.555977130761086*^9}, 3.559237180042234*^9, 
   3.567423943954039*^9, 3.5674242522474813`*^9, 3.5890332883422213`*^9}],

Cell[BoxData[
 PanelBox[
  DynamicModuleBox[{$CellContext`q$$ = $CellContext`x^2, $CellContext`c$$ = 
   Rational[-1, 2], $CellContext`d$$ = Rational[
   3, 2], $CellContext`e$$ = -1, $CellContext`f$$ = Rational[9, 4]}, 
   TagBox[GridBox[{
      {
       TemplateBox[{"\"f(x) = \"",InputFieldBox[
          Dynamic[$CellContext`q$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(min\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`c$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(max\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`d$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(y\\), \\(min\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`e$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(y\\), \\(max\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`f$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       DynamicBox[ToBoxes[
         Manipulate[
         Switch[$CellContext`method, "left sum", $CellContext`tt = 
            "Left Hand Sum = ", "right sum", $CellContext`tt = 
            "Right Hand Sum = ", "midpoint", $CellContext`tt = 
            "Midpoint Sum = ", "trapezoid", $CellContext`tt = " ", 
            "Simpson", $CellContext`tt = " "]; $CellContext`qq = 
           Piecewise[{{$CellContext`q$$, 
               0 < $CellContext`x < $CellContext`b}, {
              0, $CellContext`x < 0}, {
              0, $CellContext`x > $CellContext`b}}]; $CellContext`u = 
           Range[0, $CellContext`b, $CellContext`b/$CellContext`n]; 
          Table[$CellContext`guk[$CellContext`k] = N[
              
              ReplaceAll[$CellContext`q$$, $CellContext`x -> 
               Part[$CellContext`u, $CellContext`k]]], {$CellContext`k, 1, 
             Length[$CellContext`u]}]; 
          Table[$CellContext`gukh[$CellContext`k] = N[
              
              ReplaceAll[$CellContext`q$$, $CellContext`x -> (
                 Part[$CellContext`u, $CellContext`k] + 
                 Part[$CellContext`u, $CellContext`k + 1])/
                2]], {$CellContext`k, 1, Length[$CellContext`u] - 
             1}]; $CellContext`left = Piecewise[
             Table[{
               $CellContext`guk[$CellContext`k], 
               Part[$CellContext`u, $CellContext`k] <= $CellContext`x <= 
               Part[$CellContext`u, $CellContext`k + 1]}, {$CellContext`k, 1, 
               Length[$CellContext`u] - 1}]]; $CellContext`mid = Piecewise[
             Table[{
               $CellContext`gukh[$CellContext`k], 
               Part[$CellContext`u, $CellContext`k] <= $CellContext`x <= 
               Part[$CellContext`u, $CellContext`k + 1]}, {$CellContext`k, 1, 
               Length[$CellContext`u] - 1}]]; $CellContext`right = Piecewise[
             Table[{
               $CellContext`guk[$CellContext`k + 1], 
               Part[$CellContext`u, $CellContext`k] <= $CellContext`x <= 
               Part[$CellContext`u, $CellContext`k + 1]}, {$CellContext`k, 1, 
               Length[$CellContext`u] - 1}]]; $CellContext`trap = Piecewise[
             Table[{
               Interpolation[{{
                  Part[$CellContext`u, $CellContext`k], 
                  $CellContext`guk[$CellContext`k]}, {
                  Part[$CellContext`u, $CellContext`k + 1], 
                  $CellContext`guk[$CellContext`k + 1]}}, InterpolationOrder -> 
                1][$CellContext`x], 
               Part[$CellContext`u, $CellContext`k] < $CellContext`x < 
               Part[$CellContext`u, $CellContext`k + 1]}, {$CellContext`k, 1, 
               Length[$CellContext`u] - 1}]]; $CellContext`simp = Piecewise[
             Table[{
               Interpolation[{{
                  Part[$CellContext`u, 2 $CellContext`k + 1], 
                  $CellContext`guk[2 $CellContext`k + 1]}, {
                  Part[$CellContext`u, 2 $CellContext`k + 2], 
                  $CellContext`guk[2 $CellContext`k + 2]}, {
                  Part[$CellContext`u, 2 $CellContext`k + 3], 
                  $CellContext`guk[2 $CellContext`k + 3]}}, 
                InterpolationOrder -> 2][$CellContext`x], 
               Part[$CellContext`u, 2 $CellContext`k + 1] <= $CellContext`x <= 
               Part[$CellContext`u, 2 $CellContext`k + 3]}, {$CellContext`k, 
               0, Length[$CellContext`u]/2 - 3/2}]]; $CellContext`approxgraph[
            
             Pattern[$CellContext`x, 
              Blank[]]] := 
           Switch[$CellContext`method, "left sum", $CellContext`left, 
             "right sum", $CellContext`right, "midpoint", $CellContext`mid, 
             "trapezoid", $CellContext`trap, 
             "Simpson", $CellContext`simp]; $CellContext`leftarea = N[
             
             Sum[$CellContext`guk[$CellContext`i] \
($CellContext`b/$CellContext`n), {$CellContext`i, 1, Length[$CellContext`u] - 
               1}]]; $CellContext`rightarea = N[
             
             Sum[$CellContext`guk[$CellContext`i + 
                1] ($CellContext`b/$CellContext`n), {$CellContext`i, 1, 
               Length[$CellContext`u] - 1}]]; $CellContext`midarea = N[
             
             Sum[$CellContext`gukh[$CellContext`i] \
($CellContext`b/$CellContext`n), {$CellContext`i, 1, Length[$CellContext`u] - 
               1}]]; $CellContext`traparea = N[
             
             Sum[(($CellContext`guk[$CellContext`i] + \
$CellContext`guk[$CellContext`i + 1])/
               2) ($CellContext`b/$CellContext`n), {$CellContext`i, 1, 
               Length[$CellContext`u] - 1}]]; $CellContext`simparea = 
           N[($CellContext`guk[1] + $CellContext`guk[
                Length[$CellContext`u]] + 
              Sum[4 $CellContext`guk[$CellContext`i] 
                Mod[$CellContext`i + 1, 2], {$CellContext`i, 2, 
                 Length[$CellContext`u] - 1}] + 
              Sum[2 $CellContext`guk[$CellContext`i] 
                Mod[$CellContext`i, 2], {$CellContext`i, 2, 
                 Length[$CellContext`u] - 
                 1}]) (($CellContext`b/$CellContext`n)/
              3)]; $CellContext`approxarea = 
           Switch[$CellContext`method, "left sum", $CellContext`leftarea, 
             "right sum", $CellContext`rightarea, 
             "midpoint", $CellContext`midarea, 
             "trapezoid", $CellContext`traparea, 
             "Simpson", $CellContext`simparea]; $CellContext`exactarea = N[
             
             Integrate[$CellContext`q$$, {$CellContext`x, 
               0, $CellContext`b}]]; $CellContext`endpt = Table[{
              Part[$CellContext`u, $CellContext`k], 
              $CellContext`guk[$CellContext`k]}, {$CellContext`k, 1, 
              Length[$CellContext`u]}]; $CellContext`endptline = Table[{{
               Part[$CellContext`u, $CellContext`k], 0}, {
               Part[$CellContext`u, $CellContext`k], 
               $CellContext`guk[$CellContext`k]}}, {$CellContext`k, 1, 
              Length[$CellContext`u]}]; $CellContext`midpt = 
           Table[{(Part[$CellContext`u, $CellContext`k] + 
               Part[$CellContext`u, $CellContext`k + 1])/2, 
              $CellContext`gukh[$CellContext`k]}, {$CellContext`k, 1, 
              Length[$CellContext`u] - 1}]; $CellContext`simpline = Table[{{
               Part[$CellContext`u, 2 $CellContext`k + 1], 0}, {
               Part[$CellContext`u, 2 $CellContext`k + 1], 
               $CellContext`guk[2 $CellContext`k + 1]}}, {$CellContext`k, 0, 
              Length[$CellContext`u]/2 - 3/2}]; $CellContext`dots = ListPlot[
             Switch[$CellContext`method, "left sum", $CellContext`endpt, 
              "right sum", $CellContext`endpt, "midpoint", $CellContext`midpt,
               "trapezoid", $CellContext`endpt, 
              "Simpson", $CellContext`endpt]]; $CellContext`segments = 
           ListLinePlot[
             
             Switch[$CellContext`method, "left sum", $CellContext`endptline, 
              "right sum", $CellContext`endptline, 
              "midpoint", $CellContext`endptline, 
              "trapezoid", $CellContext`endptline, 
              "Simpson", $CellContext`simpline], PlotRange -> 
             All]; $CellContext`yscale = 
           Which[$CellContext`g[$CellContext`x] === Sin[$CellContext`x], 
             0.5, $CellContext`g[$CellContext`x] === 2 $CellContext`x + 1, 
             2.5, $CellContext`g[$CellContext`x] === $CellContext`x^2, 
             2, $CellContext`g[$CellContext`x] === Exp[(-2) $CellContext`x], 
             0.5, $CellContext`g[$CellContext`x] === 5 $CellContext`x^(1/3), 
             3.2, $CellContext`g[$CellContext`x] === 
             Sqrt[4 - $CellContext`x^2], 0.5, True, 1]; $CellContext`a = {
            1, $CellContext`yscale}; $CellContext`zoomgraph = Show[{
              Plot[{$CellContext`q$$, 
                $CellContext`approxgraph[$CellContext`x]}, {$CellContext`x, 
                Part[$CellContext`a, 1] - 0.1, Part[$CellContext`a, 1] + 0.1},
                PlotRange -> {
                Part[$CellContext`a, 2] - 0.1 $CellContext`yscale, 
                 Part[$CellContext`a, 2] + 0.1 $CellContext`yscale}, Frame -> 
               True, FrameTicks -> None, FrameStyle -> Thick, Background -> 
               White, Filling -> Bottom, PlotPoints -> 100, Axes -> 
               False], $CellContext`dots, $CellContext`segments}]; Grid[{{
              Framed[
               Text[
                Column[{
                  Style[
                   Row[{"f(x) = ", 
                    TraditionalForm[$CellContext`q$$]}], Black, 16], 
                  Style[
                   Row[{"a = ", 
                    TraditionalForm[0], "   b = ", 
                    TraditionalForm[$CellContext`b]}], Black, 16], 
                  Style[
                   Row[{"n = ", 
                    TraditionalForm[$CellContext`n]}], Black, 16], 
                  Style[
                   Row[{$CellContext`tt, 
                    NumberForm[$CellContext`approxarea, 10]}], Purple, 16]}, 
                 Alignment -> Center]]]}, {
              Show[{
                Plot[{$CellContext`q$$, $CellContext`qq, 
                  $CellContext`approxgraph[$CellContext`x]}, {$CellContext`x, \
$CellContext`c$$, $CellContext`d$$}, Filling -> {2 -> Axis, 3 -> Axis}, 
                 PlotPoints -> 300, 
                 PlotRange -> {$CellContext`e$$, $CellContext`f$$}], \
$CellContext`dots, $CellContext`segments}, 
               ImageSize -> {550, 300}]}}], {{$CellContext`n, 4, 
            "subintervals"}, 2, 40, 2, Appearance -> 
           "Labeled"}, {$CellContext`b, {1, Pi/2, 2, 3, Pi, 4}, ControlType -> 
           Setter}, {{$CellContext`method, "left sum"}, {
           "left sum", "right sum", "midpoint", "trapezoid", "Simpson"}}, 
          AutorunSequencing -> {2, 3, 4}, TrackedSymbols -> True, Alignment -> 
          Center], StandardForm],
        ImageSizeCache->{739., {326., 332.}}]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
    "Column"],
   DynamicModuleValues:>{}]]], "Output",
 CellChangeTimes->{
  3.555975530923867*^9, 3.5559759953966913`*^9, 3.5559762473425207`*^9, {
   3.555976645859604*^9, 3.555976658954154*^9}, 3.555976707556628*^9, {
   3.555976790840741*^9, 3.555976807529232*^9}, {3.5559770580884447`*^9, 
   3.555977132431286*^9}, 3.5592371836639423`*^9, 3.567424256132331*^9, 
   3.5674250193570757`*^9, 3.58903329259579*^9, 3.589033403821823*^9}]
}, Open  ]]
},
WindowSize->{954, 808},
WindowMargins->{{111, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 34957, 771, 2276, "Input"],
Cell[35539, 795, 10847, 198, 733, "Output"]
}, Open  ]],
Cell[46401, 996, 2332, 62, 186, "Input"],
Cell[CellGroupData[{
Cell[48758, 1062, 35606, 785, 2295, "Input"],
Cell[84367, 1849, 12585, 240, 885, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
